<?php 

require_once 'incfiles/core.php';
require_once 'incfiles/func.php';
require_once 'incfiles/auth.php';
require_once 'incfiles/user.php';

if (!empty($user_id)) go(URL);

$title = lang('Восстановление доступа к странице','Відновлення доступу до сторінки');


if (!empty($_GET['key']))
{
	$key = check($_GET['key']);
	if (!empty($key) && mysql_result(mysql_query("SELECT COUNT(`id`) FROM `users` WHERE `restore` = '".$key."' LIMIT 1"),0) == true)
	{	
		$new_pass = generate(6);
		$arr = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `restore` = '".$key."' LIMIT 1"));
		require_once 'incfiles/SendMailSmtpClass.php';
		$mailSMTP = new SendMailSmtpClass('livebookua@yandex.ua', 'password', 'ssl://smtp.yandex.ru', 'weua.pro', 465);
		$message = 'Вітаю, '.$arr['name'].'!<br/>
		Відновлення доступу до сторінки на сайті weua.pro завершено!<br/>
		Ваші дані для входу на сайт:<br/>
		Ваш E-mail: '.$arr['mail'].'<br/>
		Ваш Пароль: '.$new_pass.'<br/>
		З повагою адміністрація сайту weua.pro';
		$headers= "MIME-Version: 1.0\r\n";
		$headers .= "Content-type: text/html; charset=utf-8\r\n"; // кодировка письма
		$headers .= "From: weua.pro <livebookua@yandex.ua>\r\n"; // от кого письмо
		$mailSMTP->send($arr['mail'], 'Відновлення доступу', $message, $headers); // отправляем письмо
		
		mysql_query("UPDATE `users` SET `restore` = '', `pass` = '".md5(md5($new_pass))."' WHERE `id` = '".$arr['id']."' LIMIT 1");
		
		require_once 'incfiles/head.php';
		echo '<div class="title">'.$title.'</div>
		<div class="block">'.lang('Поздравляю, '.$arr['name'].'!<br/>Восстановление доступа завершено!<br/>Ваши данные для входа на сайт отправлены на Ваш E-mail!','Вітаю, '.$arr['name'].'!<br/>Відновлення доступу завершено!<br/>Ваші дані для входу на сайт надіслані на Ваш E-mail!').'</div>';
		require_once 'incfiles/foot.php'; exit;
	}
}
else if (!empty($_POST['mail']) && !empty($_POST['code']))
{
	$mail = check($_POST['mail']);
	$code = abs(intval($_POST['code']));
	if (empty($code)) $err1 = true;
	if (!empty($code) && $_SESSION['code'] != $code) $err1 = true;
	if ($err1 == true) $err1 = '<div>'.lang('Неверный код','Невірний код').'</div>';	

	if (empty($mail)) $err2 = true;
	if (!empty($mail) && !preg_match('/[0-9a-z_\-]+@[0-9a-z_\-^\.]+\.[a-z]{2,6}/i', $mail)) $err2 = true;
	if (!empty($mail) && mysql_result(mysql_query("SELECT COUNT(`id`) FROM `users` WHERE `mail` = '".$mail."' LIMIT 1"),0) == false) $err2 = true;
	if ($err2 == true) $err2 = '<div>'.lang('E-mail указан неверно','E-mail вказано невірно').'</div>';

	if ($err1 == false && $err2 == false)
	{
		$key = md5(md5($mail));
		mysql_query("UPDATE `users` SET `restore` = '".$key."' WHERE `mail` = '".$mail."' LIMIT 1");
	
		require_once 'incfiles/SendMailSmtpClass.php';
		$mailSMTP = new SendMailSmtpClass('livebookua@yandex.ua', 'password', 'ssl://smtp.yandex.ru', 'weua.pro', 465);
		$message = 'Для відновлення доступу до сторінки перейдіть за посиланням: http://weua.pro/restore.php?key='.$key.'<br/>
		З повагою адміністрація сайту weua.pro';
		$headers= "MIME-Version: 1.0\r\n";
		$headers .= "Content-type: text/html; charset=utf-8\r\n"; // кодировка письма
		$headers .= "From: weua.pro <livebookua@yandex.ua>\r\n"; // от кого письмо
		$mailSMTP->send($mail, 'Відновлення доступу', $message, $headers); // отправляем письмо
		
		require_once 'incfiles/head.php';
		echo '<div class="title">'.$title.'</div>
		<div class="block">'.lang('На Ваш E-mail отправлено письмо с дальнейшими указаниями для восстановления доступа.','На Ваш E-mail надіслано листа з подальшими вказівками для відновлення доступу.').'</div>';
		require_once 'incfiles/foot.php'; exit;
	}
}

require_once 'incfiles/head.php';

		echo '<div class="title">'.$title.'</div>';
		echo err($err2.$err1).'
		<div class="block">
		<form action="'.URL.'/restore.php" method="post">
		'.lang('Пожалуйста, укажите E-mail, который Вы использовали для входа на сайт','Будь ласка, вкажіть E-mail, який Ви використовували для входу на сайт').':<br />
		<input class="input" name="mail" type="text" maxlength="30"  value=""/>
		'.lang('Введите код','Введіть код').':
		<input class="input2" name="code" maxlength="4" size="4" /> 
		<img src="'.URL.'/captcha.php" alt="captcha" /><br/>
		<input class="button2" type="submit" value="'.lang('Далее','Далі').'"/>
		</form>
		</div>';

require_once 'incfiles/foot.php';

?>